Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Types | Public Member Functions | Protected Member Functions | Private Attributes | List of all members
OpenMesh::Subdivider::Uniform::LongestEdgeT< MeshType, RealType > Class Template Reference

`#include <libs_required/OpenMesh/src/OpenMesh/Tools/Subdivider/Uniform/LongestEdgeT.hh>`

Inheritance diagram for OpenMesh::Subdivider::Uniform::LongestEdgeT< MeshType, RealType >:

## Public Types
typedef RealType | real_t
typedef MeshType | mesh_t
typedef SubdividerT< mesh_t, real_t > | parent_t
typedef std::vector < std::vector< real_t > > | weights_t
typedef std::vector< real_t > | weight_t
typedef std::pair< typename mesh_t::EdgeHandle, real_t > | queueElement
Public Types inherited from OpenMesh::Subdivider::Uniform::SubdividerT< MeshType, RealType >
typedef MeshType | mesh_t
typedef RealType | real_t

## Public Member Functions
| LongestEdgeT (mesh_t &_m)
const char * | name () const
| Return name of subdivision algorithm.
void | set_max_edge_length (double _value)
Public Member Functions inherited from OpenMesh::Subdivider::Uniform::SubdividerT< MeshType, RealType >
virtual | ~SubdividerT ()
| Descructor (calls detach())
| SubdividerT (void)
| SubdividerT (MeshType &_m)
bool | operator() (MeshType &_m, size_t _n, const bool _update_points=true)
bool | attach (MeshType &_m)
bool | operator() (size_t _n, const bool _update_points=true)
void | detach (void)

## Protected Member Functions
bool | prepare (mesh_t &_m)
| Prepare mesh, e.g. add properties.
bool | cleanup (mesh_t &_m)
| Cleanup mesh after usage, e.g. remove added properties.
bool | subdivide (MeshType &_m, size_t _n, const bool _update_points=true)
| Subdivide mesh `_m` `_n` times.
Overload theses methods

## Private Attributes
real_t | max_edge_length_squared_

## Detailed Description

### template<typename MeshType, typename RealType = float>
class OpenMesh::Subdivider::Uniform::LongestEdgeT< MeshType, RealType >

Uniform LongestEdgeT subdivision algorithm

Very simple algorithm splitting all edges which are longer than given via set_max_edge_length(). The split is always performed on the longest edge in the mesh.

Definition at line 105 of file LongestEdgeT.hh.

The documentation for this class was generated from the following file:

- libs_required/OpenMesh/src/OpenMesh/Tools/Subdivider/Uniform/LongestEdgeT.hh